Bug 436369 - System -> Shut down -> Shut Down does nothing
System -> Shut down -> Shut Down does nothing
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-xdm (Show other bugs)
9
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-06 15:25 EST by Horst H. von Brand
Modified: 2009-07-14 14:19 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 14:19:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Horst H. von Brand 2008-03-06 15:25:46 EST
Description of problem:
Going the menu sequence given above to shut down the machine does nothing, not
even logs me out. I have to use the powerbutton (Toshiba Tecra) to shut down.

Version-Release number of selected component (if applicable):
gnome-menus-2.21.92-1.fc9.i386

How reproducible:
Always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Ray Strode [halfline] 2008-03-06 15:47:35 EST
Do you know if you're running GDM, startx, or some other mechanism to initiate
your session?
Comment 2 Matthias Clasen 2008-03-06 20:21:27 EST
Also, which versions of gdm, ConsoleKit and gnome-panel are we talking about here ?
Comment 3 Horst H. von Brand 2008-03-07 06:58:01 EST
I' using XDM to start X (GDM broke a while back, haven't tried again).

gdm-2.21.9-0.2008.02.29.1.fc9.i386
ConsoleKit-0.2.10-1.fc9.i386
gnome-panel-2.21.92-5.fc9.i386
Comment 4 Ray Strode [halfline] 2008-03-07 08:57:02 EST
Could be XDM isn't registering with ConsoleKit.

What's the output of

ck-list-sessions

when you're logged in?
Comment 5 Horst H. von Brand 2008-03-07 11:16:36 EST
Nothing (for root and myself).
Comment 6 Ray Strode [halfline] 2008-03-07 11:34:03 EST
if you add:

session    optional     pam_ck_connector.so

to the very bottom of /etc/pam.d/xdm

do things start working?
Comment 7 Horst H. von Brand 2008-03-09 00:01:54 EST
No, same as before.

But now ck-list-sessions gives:

Session1:
	uid = '500'
	realname = 'Horst H. von Brand'
	seat = 'Seat2'
	session-type = ''
	active = FALSE
	x11-display = ':0'
	x11-display-device = ''
	display-device = ''
	remote-host-name = ''
	is-local = TRUE
	on-since = '2008-03-09T02:07:06Z'
Comment 8 Ray Strode [halfline] 2008-03-09 12:04:09 EDT
Hmm, so there are two problems with that output:


1) x11-display-device is empty
2) active is FALSE

It could be that pam_ck_connector.so is only useful for text login, not sure. 
In theory we could use ck-launch-session (or the older, equivalent
ck-xinit-session), but there's no way to hook those in without disturbing other DMs.

Really XDM should probably grow consolekit support like the others have.

Adding Jon in case he has any insight.

Comment 9 Horst H. von Brand 2008-03-11 18:10:43 EDT
Now started from GDM (it works again!).

Session2:
	uid = '500'
	realname = 'Horst H. von Brand'
	seat = 'Seat1'
	session-type = ''
	active = TRUE
	x11-display = ':0'
	x11-display-device = '/dev/tty7'
	display-device = ''
	remote-host-name = ''
	is-local = TRUE
	on-since = '2008-03-11T22:04:06Z'
Comment 10 Bug Zapper 2008-05-14 01:49:58 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2009-06-09 19:41:50 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Bug Zapper 2009-07-14 14:19:11 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.